<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fetch API demo</title>
</head>
<body>
    <script>
        // let companies = null
        // console.log("Pärime ettevtõtted")
        // fetch('https://frogaccelerator.com:8110/companies')
        //     .then(response => response.json())
        //     .then(result => console.log(result))
        // console.log("Prindime ettevõtted välja")
        // console.log(companies)

        // async, await
        async function getAllCompanies() {
            let result = await fetch('https://frogaccelerator.com:8110/companies')
            let companies = await result.json()
            console.log(companies)
        }

        // getAllCompanies()

        async function addNewCompany(name, logo, employees, established) {
            const myCompany = {
                // 'id': 123,  // Siis, kui tahame olemasolevat ettevõtet muuta.
                'name': name,
                'logo': logo,
                'employees': employees,
                'established': established
            }
            // console.log(myCompany)
            await fetch('https://frogaccelerator.com:8110/companies', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify(myCompany)
            })
        }

        async function deleteCompany(companyId) {
            const deleteUrl = 'https://frogaccelerator.com:8110/companies/' + companyId
            await fetch(deleteUrl, { method: 'DELETE' })
        }


    </script>
</body>
</html>